Your submission was sent successfully! Close

CVE-2012-4561

Published: 20 November 2012

The (1) publickey_make_dss, (2) publickey_make_rsa, (3) signature_from_string, (4) ssh_do_sign, and (5) ssh_sign_session_id functions in keys.c in libssh before 0.5.3 free "an invalid pointer on an error path," which might allow remote attackers to cause a denial of service (crash) via unspecified vectors.

Priority

Low

Status

Package Release Status
libssh
Launchpad, Ubuntu, Debian
hardy Ignored
(reached end-of-life)
lucid
Released (0.4.2-1ubuntu1.1)
oneiric
Released (0.5.2-1ubuntu0.11.10.1)
precise
Released (0.5.2-1ubuntu0.12.04.1)
quantal
Released (0.5.2-1ubuntu0.12.10.1)
upstream
Released (0.5.3-1)
Patches:
upstream: http://git.libssh.org/projects/libssh.git/commit/?h=v0-5&id=455da60846d68c508f7fed5b381097b364647425
upstream: http://git.libssh.org/projects/libssh.git/commit/?h=v0-5&id=d63f19c3000f8bc699ba99814bec9d7ddf6a5b20